org.jbpm.services.task.commands

## Class AddContentFromUserCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Long>
    - - org.jbpm.services.task.commands.AddContentFromUserCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Long>, org.kie.api.command.Command<Long>

      public class AddContentFromUserCommand
      extends UserGroupCallbackTaskCommand<Long>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddContentFromUserCommand()`
    `AddContentFromUserCommand(long taskId, String userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `execute(org.kie.api.runtime.Context cntxt)`
    `byte[]` | `getDocumentContentBytes()`
    `Map<String,Object>` | `getOutputContentMap()`
    `void` | `setDocumentContentBytes(byte[] documentContentBytes)`
    `void` | `setOutputContentMap(Map<String,Object> outputContentMap)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### AddContentFromUserCommand

          public AddContentFromUserCommand()

    - #### AddContentFromUserCommand

          public AddContentFromUserCommand(long taskId,
                                           String userId)

  - ### Method Detail

    - #### getDocumentContentBytes

          public byte[] getDocumentContentBytes()

    - #### setDocumentContentBytes

          public void setDocumentContentBytes(byte[] documentContentBytes)

    - #### getOutputContentMap

          public Map<String,Object> getOutputContentMap()

    - #### setOutputContentMap

          public void setOutputContentMap(Map<String,Object> outputContentMap)

    - #### execute

          public Long execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<Long>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Long>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.